# UCI Docker Image Builder

A set of scripts to facilitate building docker linux (amd64/arm64) images using any of three distros (alpine,debian,ubuntu)

The Dockerfile is minimal calling a set of distro specific scripts and common scripts in order to build the image

The build environment makes user of docker's  "buildx bake" commands and a docker-bake.hcl file

The master branch is configured to build base images from the docker hub distro base images

The main script is "build" At the very minimum run as just `./build` it will build an alpine image from the docker hub official alpine latest image with a minimal set of packages installed (e.g. git) and a custom uci shell environment.

By using the -b flag you can set an alternative FROM image.  In this way you can make your own script that builds multiple tiers of images

The repo also supports (with scripts) pushing to alternate private repositories (like self hosted gitea)

starting a new branch is a good way to work on a new image by editing the script files in the distros folder



